com.h3c.of.lib.msg

## Enum QueuePropType

- java.lang.Object
- - java.lang.Enum<QueuePropType>
  - - com.h3c.of.lib.msg.QueuePropType

- All Implemented Interfaces:
    OfpCodeBasedEnum, OfpEnum, Serializable, Comparable<QueuePropType>

      public enum QueuePropType
      extends Enum<QueuePropType>
      implements OfpCodeBasedEnum

  Denotes different queue properties.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXPERIMENTER` Experimenter defined property; Since 1.2.
    `MAX_RATE` Maximum datarate; Since 1.2.
    `MIN_RATE` Minimum datarate guaranteed; Since 1.0.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode(ProtocolVersion pv)` Returns the code for the constant, under the given protocol version.
    `static QueuePropType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static QueuePropType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MIN_RATE

          public static final QueuePropType MIN_RATE

      Minimum datarate guaranteed; Since 1.0.

    - #### MAX_RATE

          public static final QueuePropType MAX_RATE

      Maximum datarate; Since 1.2.

    - #### EXPERIMENTER

          public static final QueuePropType EXPERIMENTER

      Experimenter defined property; Since 1.2.

  - ### Method Detail

    - #### values

          public static QueuePropType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QueuePropType c : QueuePropType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QueuePropType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode(ProtocolVersion pv)

      Description copied from interface: `OfpCodeBasedEnum`
      Returns the code for the constant, under the given protocol version.
      Specified by:
        `getCode` in interface `OfpCodeBasedEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the code for the constant

Copyright © 2014. All Rights Reserved.